/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { ParagraphControl } from './paragraph-control';
import * as i0 from "@angular/core";
export declare class AswParagraphDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswParagraphDialog>;
    control: ParagraphControl;
    constants: any;
    aswParagraphForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswParagraphDialog>, control: ParagraphControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: ParagraphControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswParagraphDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswParagraphDialog, "asw-paragraph-dialog", never, {}, {}, never, never>;
}
